import { useConfig } from '@kevisual/use-config/env';
import { Logger } from '@kevisual/logger';
const config = useConfig();

export const logger = new Logger({
  level: config.LOG_LEVEL || 'info',
  showTime: true,
});

export const logError = (message: string, data?: any) => logger.error({ data }, message);
export const logWarning = (message: string, data?: any) => logger.warn({ data }, message);
export const logInfo = (message: string, data?: any) => logger.info({ data }, message);
export const logDebug = (message: string, data?: any) => logger.debug({ data }, message);

export const log = {
  error: logError,
  warn: logWarning,
  info: logInfo,
  debug: logDebug,
};
