import { app } from '@/app.ts';
import { AppModel } from '../module/index.ts';
import { ConfigPermission } from '@kevisual/permission';

// curl http://localhost:4005/api/router?path=app&key=public-list
// TODO:
app
  .route({
    path: 'app',
    key: 'public-list',
  })
  .define(async (ctx) => {
    const { username = 'root', status = 'running', page = 1, pageSize = 100, order = 'DESC' } = ctx.query.data || {};
    const { rows, count } = await AppModel.findAndCountAll({
      where: {
        status,
        user: username,
      },
      attributes: {
        exclude: [],
      },
      order: [['updatedAt', order]],
      limit: pageSize,
      offset: (page - 1) * pageSize,
      distinct: true,
      logging: false,
    });
    ctx.body = {
      list: rows.map((item) => {
        return ConfigPermission.getDataPublicPermission(item.toJSON());
      }),
      pagination: {
        total: count,
      },
    };
  })
  .addTo(app);
