import { app } from '@/app.ts';
import { ShareConfigService } from './services/share.ts';
app
  .route({
    path: 'config',
    key: 'shareConfig',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    const tokenUser = ctx.state.tokenUser;
    const { p, username, configKey } = ctx.query || {};
    const queryUsername = tokenUser?.username;
    const password = p;
    if (!configKey) {
      ctx.throw(400, 'configKey is required');
    }
    if (!username) {
      ctx.throw(400, 'username is required');
    }

    try {
      const config = await ShareConfigService.getShareConfig(configKey, username, {
        username: queryUsername,
        password,
      });
      ctx.body = config;
    } catch (error) {
      if (error?.code === 500) {
        console.error('config get error', error);
      }
      ctx.throw(404, 'config not found');
    }
  })
  .addTo(app);
