import { config } from '../modules/config.ts';
import { sequelize } from '../modules/sequelize.ts';
export { program, Command } from '../program.ts';
import { User, UserInit, OrgInit, Org } from '@kevisual/code-center-module/models';
import { Logger } from '@kevisual/logger';
export const close = async () => {
  process.exit(0);
};
export { sequelize };
export const logger = new Logger({
  level: (config?.LOG_LEVEL || 'info') as any,
  showTime: true,
});

export const initUser = async () => {
  console.log('init user');
  await UserInit(sequelize, undefined, {
    alter: true,
    logging: false,
  });
  await OrgInit(sequelize, undefined, {
    alter: true,
    logging: false,
  });
  return {
    User: User,
    Org: Org,
  };
};
